Subject: Re: bug#59214: [PATCH] Alternate rust-analyzer command added

From: Pankaj Jangid <[email-masked]>
Date: Thu, 17 Nov 2022 11:29:34 +0530

Stefan Kangas <[email-masked]> writes:

> The difference is that rust-analyzer itself recommends using the rustup
> invocation as an alternative to adding the language server to PATH.[1]
>
> I also don't see any downside to adding it.  The variable will get a
> tiny bit uglier perhaps, but the benefit is that a real hurdle will be
> eliminated for users.  That's a win in my book.

Yes. That's exactly my thought. I have updated the patch accordingly.